FROM webdevops/php-nginx:8.2-alpine

# Указываем, что корень сайта находится в /app
ENV WEB_DOCUMENT_ROOT=/app
ENV SKIP_COMPOSER=1

# Очищаем папку перед копированием
RUN rm -rf /app/*

# Копируем содержимое вашей папки прямо в /app
# Если вы переименовали папку в Gitea, замените название ниже
COPY ["Profice WebSite/", "/app/"]

# ПРИНУДИТЕЛЬНО ставим права для пользователя 'application'
RUN chown -R application:application /app \
    && chmod -R 755 /app

EXPOSE 80